delete_vertex_attr {igraph} | R Documentation

## Delete a vertex attribute

### Description

Delete a vertex attribute

### Usage

    delete_vertex_attr(graph, name)

### Arguments

`graph` | The graph
`name` | The name of the vertex attribute to delete.

### Value

The graph, with the specified vertex attribute removed.

### See Also

Other graph attributes: `$.igraph.vs`, `$<-.igraph.vs`, `V<-`, `[<-.igraph.vs`, `[[<-.igraph.vs`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`, `igraph-vs-attributes`; `$.igraph`, `$<-.igraph`, `igraph-dollar`, `igraph-dollar`; `attributes`, `graph_attr_names`, `list.graph.attributes`; `delete_edge_attr`, `remove.edge.attribute`; `delete_graph_attr`, `remove.graph.attribute`; `edge.attributes<-`, `edge_attr<-`; `edge.attributes`, `edge_attr`, `get.edge.attribute`; `edge_attr_names`, `list.edge.attributes`; `get.graph.attribute`, `graph.attributes`, `graph_attr`; `get.vertex.attribute`, `vertex.attributes`, `vertex_attr`; `graph.attributes<-`, `graph_attr<-`; `list.vertex.attributes`, `vertex_attr_names`; `set.edge.attribute`, `set_edge_attr`; `set.graph.attribute`, `set_graph_attr`; `set.vertex.attribute`, `set_vertex_attr`; `vertex.attributes<-`, `vertex_attr<-`

### Examples

    g <- make_ring(10) %>%
      set_vertex_attr("name", value = LETTERS[1:10])
    vertex_attr_names(g)
    g2 <- delete_vertex_attr(g, "name")
    vertex_attr_names(g2)

[Package igraph version 1.0.1 Index]